summaryrefslogtreecommitdiff
path: root/utils/lib_sxng_test.sh
diff options
context:
space:
mode:
authorMarkus Heiser <markus.heiser@darmarit.de>2025-01-15 17:26:45 +0100
committerMarkus Heiser <markus.heiser@darmarIT.de>2025-01-16 10:51:33 +0100
commit15d0e274b39340f19c3c5dde8cfdec451fa044c0 (patch)
treeff2235776b856d76249b6a3072633f78a1e071d4 /utils/lib_sxng_test.sh
parente4f8f0483f418da953724ddcbc3d67cfe6373ea9 (diff)
[fix] build workflows of the themes
Signed-off-by: Markus Heiser <markus.heiser@darmarit.de>
Diffstat (limited to 'utils/lib_sxng_test.sh')
-rwxr-xr-xutils/lib_sxng_test.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/utils/lib_sxng_test.sh b/utils/lib_sxng_test.sh
index 9ac71aeeb..895a338fa 100755
--- a/utils/lib_sxng_test.sh
+++ b/utils/lib_sxng_test.sh
@@ -89,7 +89,6 @@ test.robot() {
dump_return $?
}
-
test.rst() {
build_msg TEST "[reST markup] ${RST_FILES[*]}"
@@ -98,6 +97,12 @@ test.rst() {
done
}
+test.themes() {
+ build_msg TEST 'SearXNG themes'
+ themes.test
+ dump_return $?
+}
+
test.pybabel() {
TEST_BABEL_FOLDER="build/test/pybabel"
build_msg TEST "[extract messages] pybabel"